List entitlement entries for a list of employees

Returns entitlement table entries for all employees or a specific list of employees. Entitlement is a multi-current history table: an employee may have multiple entitlement types concurrently (for example Lunch vouchers and Company Car), each with its own effective-date timeline. Responses include timeline fields such as effectiveDate, endEffectiveDate, and isCurrent.

There is no per-employee GET for this table — use this bulk endpoint with a single employeeIds value when you need one employee.

You can fetch employee IDs using the People search endpoint.

Required permissions
People's Data > Payroll > View selected employees' Payroll section histories (or View for current-effective rows only), or the equivalent Entitlement table permissions when field-level permissions are enabled.
For the employees: People's Data > Access data for > Make sure the employees are in the list. Employees that are not listed and were specifically requested will be listed under errors in the response.


Pagination
This endpoint uses cursor-based pagination to handle large number of table entries. To learn more, see Pagination in Bob's API

Query Params
number
1 to 200
Defaults to 50

Specifies the number of table entries to include on each page of the results.

string

A marker representing the first item on the next page to read. Make sure to URL encode this value before you send it as a query parameter. To learn more, see Pagination in Bob's API.

string

Comma separated list of employee ids. Maximum employees per request: 200. If this parameter is not passed, the API will return table entries for all the employees for which the service user has the permission for. You can fetch employee IDs using the People search endpoint.

boolean
Defaults to false

By default (false), archived columns are excluded from the response. When set to true, archived columns are included.

Responses

400

Bad request.

403

Forbidden. The service user does not have permissions to access this table or employees. Check the permissions as explained in the endpoint description.

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json